Illegal reflective access by org.apache.ibatis.reflection.Reflector

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Illegal reflective access by org.apache.ibatis.reflection.Reflector

Vladimir Alarcon
Hi,

My application (with MyBatis 3.3.0) is throwing this ugly error:

WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by
org.apache.ibatis.reflection.Reflector
(jar:file:/opt/app2/app2reader-1.0.10-SNAPSHOT-commandline.jar!/lib/mybatis-3.3.0.jar)
to method java.lang.Class.checkPackageAccess(java.lang.SecurityManager,java.lang.ClassLoader,boolean)
WARNING: Please consider reporting this to the maintainers of
org.apache.ibatis.reflection.Reflector
WARNING: Use --illegal-access=warn to enable warnings of further
illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release

Is this something I should be concerned about? I'm planning to upgrade
to a more recent version of MyBatis soon but was wondering if this
could be a MyBatis bug.

Thanks,
Vladimir

--
You received this message because you are subscribed to the Google Groups "mybatis-user" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/mybatis-user/CAP3Y0VYMYQajgMq_y633ToT-1p2acMVs8kE6sDQfzEXjrJ3%2BRw%40mail.gmail.com.
Reply | Threaded
Open this post in threaded view
|

Re: Illegal reflective access by org.apache.ibatis.reflection.Reflector

Guy Rouillier-2
According to this post I found on Stack Overflow, looks like an update to Maven fixes the problem.  You don't mention it, but I'm guessing you are running on a newer version of the JDK?  Probably 10 or newer?

https://stackoverflow.com/questions/46230413/jdk9-an-illegal-reflective-access-operation-has-occurred-org-python-core-pysys/46230678

--
Guy Rouillier

On 8/12/2019 2:59:32 PM, "Vladimir Alarcon" <[hidden email]> wrote:

Hi,
 
My application (with MyBatis 3.3.0) is throwing this ugly error:
 
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by
org.apache.ibatis.reflection.Reflector
(jar:file:/opt/app2/app2reader-1.0.10-SNAPSHOT-commandline.jar!/lib/mybatis-3.3.0.jar)
to method java.lang.Class.checkPackageAccess(java.lang.SecurityManager,java.lang.ClassLoader,boolean)
WARNING: Please consider reporting this to the maintainers of
org.apache.ibatis.reflection.Reflector
WARNING: Use --illegal-access=warn to enable warnings of further
illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release
 
Is this something I should be concerned about? I'm planning to upgrade
to a more recent version of MyBatis soon but was wondering if this
could be a MyBatis bug.
 
Thanks,
Vladimir
 
--
You received this message because you are subscribed to the Google Groups "mybatis-user" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/mybatis-user/CAP3Y0VYMYQajgMq_y633ToT-1p2acMVs8kE6sDQfzEXjrJ3%2BRw%40mail.gmail.com.

--
You received this message because you are subscribed to the Google Groups "mybatis-user" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/mybatis-user/emd022b190-8d5a-46a8-82a4-e340eedc3423%40asus.
Reply | Threaded
Open this post in threaded view
|

Re: Illegal reflective access by org.apache.ibatis.reflection.Reflector

Iwao AVE!
In reply to this post by Vladimir Alarcon
Hi Vladimir,

It's not a bug, but a warning about compatibility with future Java versions.
Upgrading MyBatis to 3.5.x should resolve the warning.

Regards,
Iwao

On Tue, Aug 13, 2019 at 3:59 AM Vladimir Alarcon <[hidden email]> wrote:
Hi,

My application (with MyBatis 3.3.0) is throwing this ugly error:

WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by
org.apache.ibatis.reflection.Reflector
(jar:file:/opt/app2/app2reader-1.0.10-SNAPSHOT-commandline.jar!/lib/mybatis-3.3.0.jar)
to method java.lang.Class.checkPackageAccess(java.lang.SecurityManager,java.lang.ClassLoader,boolean)
WARNING: Please consider reporting this to the maintainers of
org.apache.ibatis.reflection.Reflector
WARNING: Use --illegal-access=warn to enable warnings of further
illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release

Is this something I should be concerned about? I'm planning to upgrade
to a more recent version of MyBatis soon but was wondering if this
could be a MyBatis bug.

Thanks,
Vladimir

--
You received this message because you are subscribed to the Google Groups "mybatis-user" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/mybatis-user/CAP3Y0VYMYQajgMq_y633ToT-1p2acMVs8kE6sDQfzEXjrJ3%2BRw%40mail.gmail.com.

--
You received this message because you are subscribed to the Google Groups "mybatis-user" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/mybatis-user/CA%2Buep2SxJ1GkDQf8UBqgmJ73gdkiQBmepLF%2Beir7hcbXgf%2Bgzg%40mail.gmail.com.